com.informix.util

## Class InformixUrl

- java.lang.Object
- - com.informix.util.InformixUrl

    public class InformixUrl
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`InformixUrl(java.lang.String url, java.util.Properties props)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getDatabase()`
`java.lang.String` `getHost()`
`java.lang.String` `getPort()`
`java.util.Properties` `getProperties()`
`java.lang.String` `getUrl()`
`int` `hashCode()`
`static boolean` `isValidDatabaseIdentifier(java.lang.String identifier)` Make sure that the given database name is a valid database identifier.
`void` `setDatabase(java.lang.String databaseName)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InformixUrl

    public InformixUrl(java.lang.String url,
                       java.util.Properties props)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### Method Detail

#### getUrl

    public java.lang.String getUrl()

#### getProperties

    public java.util.Properties getProperties()

#### getHost

    public java.lang.String getHost()

#### getPort

    public java.lang.String getPort()

#### getDatabase

    public java.lang.String getDatabase()

#### setDatabase

    public void setDatabase(java.lang.String databaseName)

#### isValidDatabaseIdentifier

    public static boolean isValidDatabaseIdentifier(java.lang.String identifier)

Make sure that the given database name is a valid database identifier. A valid database identifier starts with a character or '_', followed by letters, digits, or '_'. For 9.x, you can add '#' to the non-first characters, and the length increases from 18 to 128. Since the server version is unknown before connecting, don't check for length.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`